 # Author : Troller Fabian, Nicolas Rivier
 # Description : Simple code python for draw graphic with data from code in C

import sys
import math
from typing import List
from typing import Tuple
from matplotlib import pyplot as plt


def draw_graph(lst: List[Tuple[float, float]],title:str = "Graphic",xlabel:str = "x",ylabel:str = "y") -> None:
    plt.title(title)
    x, y = list(zip(*lst))
    # plt.yscale('log')
    # plt.xscale('log')
    plt.xlabel(xlabel)
    plt.ylabel(ylabel)
    plt.plot(x,y)
    plt.grid(True)
    plt.show()


def parse_file(filename: str) -> List[Tuple[float, float]]:
    lst = []  # [(int,int)]
    with open(filename, "r") as file:
        line = file.readline()
        while line:
            index, value = line.split(",")
            # print(f"i : {index} = {value}")
            lst.append((float(index), float(value)))
            line = file.readline()
    print(lst)
    return lst


if __name__ == "__main__":
    if len(sys.argv) == 1:
        print(f"Usage : \n./{sys.argv[0]} <filename_with_data>")
    filename = sys.argv[1]
    res = parse_file(filename)
    draw_graph(res,"Graphique d'erreur","Nombre d'itération","Marge d'erreur")
